/*------------------------------------------------------------------------------
--  This file is a part of the libuc, microcontroler library
--  Copyright (C) 2011, Alexis Jeandet
--
--  This program is free software; you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation; either version 3 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.
--
--  You should have received a copy of the GNU General Public License
--  along with this program; if not, write to the Free Software
--  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
-------------------------------------------------------------------------------
--                 Author : Alexis Jeandet
--                   Mail : alexis.jeandet@gmail.com
-------------------------------------------------------------------------------*/
#include "LPC17xx.h"

struct ARM7uartRegs
{
 unsigned long RWreg;
 unsigned long IntEN;
 unsigned long IntIdFIFOctrlr;
 unsigned long LineCtrl;
 unsigned long dummy;
 unsigned long LineStat;
 unsigned long ScratchPad;
};

typedef struct ARM7uartRegs uartDev;

uartDev* uartopen(int count);
void uartputc(uartDev* dev,char c);
void uartputs(uartDev* dev,char *s);
void uartgets(uartDev* dev,char *s);
char uartgetc(uartDev* dev);
void uartsetup(uartDev* dev,int baudRate,int cpuClk);

